Trigger Delivery Note Workflow
curl --request POST \
--url https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId}/workflow/{workflowEventId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId}/workflow/{workflowEventId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId}/workflow/{workflowEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Delivery Note
Trigger Delivery Note Workflow
Trigger a specific workflow event for a given delivery Note
POST
/
v1
/
deliveryNotes
/
{deliveryNoteId}
/
workflow
/
{workflowEventId}
Trigger Delivery Note Workflow
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the Event for that the manual workflow event should be started. 1 = Created, 2 = Deleted, 3 = Shipped
Available options:
1, 2, 3 The id of the delivery Note for that the manual workflow event should be started.
Response
Was this page helpful?
⌘I